PKGTOOL(8)

NAVN
pkgtool - vedlikeholds verktøy for programvarer.

SAMMENDRAG
pkgtool

pkgtool [ --sets #a#b#c# ] [ --source_mounted ] [ --ignore_tagfiles ] [ --tagfile tagfil ] [ --source_dir filkatalog ] [ --target_dir filkatalog ] [ --source_device enhet ]

BESKRIVELSE
pkgtool er et meny drevet vedlikeholds verktøy for pakke behandling som følger med Slackware Linux. Det kan installere, fjerne eller vise pakker igjennom et interaktivt system. Pkgtool kan også brukes for å kjøre konfigurasjons skriptene etter en Slackware installasjon om igjen. Dette kan være nyttig for å endre grunnlegende system innstillinger (f.eks forandre mus type).

VALGMULIGHETER
De fleste brukere vil nok kjøre pkgtool uten ekstra parametre. Disse brukes generelt sett bare når pkgtool kjøres under installasjon av Slackware. Du kan naturligvis prøve dem ut -- men vær forsiktig.

--sets #A#B#C#
    Installer pakkeseriene A, B, C. Skill navnene fra hverandre med et '#' tegn.

--source_mounted
    Når dette parametre er satt vil pkgtool ikke forsøke å avmontere og remontere lagringsenheten til pakkene for hver ny serie.

--ignore_tagfiles
    Når dette parametre er satt vil pkgtool installere alle pakker den kommer over uavhengig av hva 'tagfile' filene sier.

--tagfile tagfil
    Dette parametre lar deg spesifisere fra kommando linjen hvilken 'tagfil' du vil bruke under installasjonen.

--source_dir filkatalog
    Brukt når man installerer flere pakker fra pakkeserier. Dette er filkatalogen hvor undermappene med pakkeseriene ligger. Dette skal ikke brukes når man installerer fra diskett.

--target_dir filkatalog
    Toppnivået i filtreet for installasjonen. Standard er '/' når man installerer til harddisken og vanligvis '/mnt' når man installerer fra en CD.

--source_device enhet
    Enheten som pakkene skal installeres fra. Dette blir ikke brukt hvis du har oppgitt --source_mounted parametre. Det brukes vanligvis når man installerer fra diskett, f.eks: --source_device /dev/fd0u1440 eller --source_device /dev/fd1h1200.

PROGRAMMERER
Patrick J. Volkerding <volkerdi@slackware.com>

SE OGSÅ
makepkg(8), explodepkg(8), installpkg(8), removepkg(8), upgradepkg(8)